Subject: bug#69948: closed (Re: [bug#69948] [PATCH gnome-team 3/3] gnu: lightdm: Run tests with dbus-1.15.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 24 Mar 2024 10:37:02 +0000

Your bug report

#69948: [PATCH gnome-team 0/3] Fix the lightdm testsuite with an older dbus

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69948: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69948
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#69948] [PATCH gnome-team 3/3] gnu: lightdm: Run tests with dbus-1.15.0.
From: Christopher Baines <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: [email-masked], [email-masked], Vivien Kraus <[email-masked]>, [email-masked], [email-masked]
Date: Sun, 24 Mar 2024 10:34:21 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Liliana Marie Prikler <[email-masked]> writes:

> Am Freitag, dem 22.03.2024 um 21:32 +0100 schrieb Vivien Kraus:
>> * gnu/packages/display-managers.scm (lightdm) [native-inputs]:
>> Replace dbus
>> with dbus-1.15.0.
>> 
>> Change-Id: Icc3b3f7d4589b60220e15aaa02d2203af308d44c
> LGTM

Thanks both, I've pushed this to gnome-team as
da381e233453b746b77b899b0584a13c41202e4c.

I didn't realise that dbus is just used for the tests, and isn't
actually referenced. I'd assumed it must be a runtime dependency.

Chris

Subject: [PATCH gnome-team 0/3] Fix the lightdm testsuite with an older dbus
From: Vivien Kraus <[email-masked]>
To: [email-masked]
Date: Fri, 22 Mar 2024 21:34:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix,

Lightdm has a custom test runner that runs its own dbus daemon.  Dbus 1.15.0
is unfortunately the latest version that can run the lightdm testsuite.  It
should not affect the behavior of the program, as this is just to launch a
dbus daemon to then run the tests.

We have 2 options: remove the tests until lightdm proposes a fix, or provide
an “older” dbus (it’s still newer than what’s on master). It seems that 1.15.2
fixes a CVE too, so maybe we don’t want to provide 1.15.0 actually.

I went with the latter option though because it preserves our test suite, and
I made it a hidden package to avoid exposing it too much.

What do you think?

Best regards,

Vivien

Vivien Kraus (3):
  gnu: Add dbus-1.15.0.
  gnu: lightdm: Update style.
  gnu: lightdm: Run tests with dbus-1.15.0.

 gnu/packages/display-managers.scm | 65 ++++++++++++++++---------------
 gnu/packages/glib.scm             | 15 +++++++
 2 files changed, 49 insertions(+), 31 deletions(-)

base-commit: a9951a74a591a9b22ee2d93d8efe0523c6c42c97
-- 
2.41.0